# Contributing to elm-matrix-sdk-beta

Welcome to the elm-matrix-sdk-beta repository! We appreciate your interest in
contributing. Please take a moment to review the following guidelines.

## Table of Contents

1. [How to Contribute](#how-to-contribute)
2. [Bug Reports](#bug-reports)
3. [Code Contributions](#code-contributions)
4. [Documentation Improvements](#documentation-improvements)
5. [Feedback and Tips](#feedback-and-tips)
6. [Development Environment](#development-environment)
7. [Pull Requests](#pull-requests)
8. [Communication](#communication)
9. [License](#license)

---

## How to Contribute

We welcome various forms of contributions, including bug reports, code
contributions through pull requests from forks, suggestions for documentation
improvement, and helpful tips and feedback based on user experience.

## Bug Reports

When reporting bugs, please provide as much detail as possible, including steps
to reproduce, expected behavior, actual behavior, and details about your
environment.

## Code Contributions

1. Fork the repository.
2. Create a new branch from the `develop` branch.
3. Write your code and commit changes.
4. Push your branch to your fork.
5. Submit a pull request to the `develop` branch.

## Documentation Improvements

Feel free to suggest improvements to the documentation. Ensure that your
suggestions are clear and concise.

## Feedback and Tips

We appreciate feedback, tips, and suggestions based on user experience. Share
your thoughts to help us enhance the project.

## Development Environment

To set up your development environment:

1. Install Elm.
2. Use `elm-format` to format your Elm code.
3. Run `elm make --docs=docs.json` to generate documentation.
4. View documentation using an Elm documentation viewer (e.g., [elm-doc-preview](https://elm-doc-preview.netlify.app/)).
5. Expose modules in `elm.json` for documentation.

## Pull Requests

Create a fork, write your code, and submit a pull request to the `develop` branch.

## Communication

- Mastodon: [@elm_matrix_sdk@social.noordstar.me](https://social.noordstar.me/@elm_matrix_sdk)
- Matrix: [#elm-sdk:matrix.org](https://matrix.to/#/#elm-sdk:matrix.org)

## License

This project is licensed under the [EUPL-v1.2](LICENSE). Please review the license file for more details.
