# Before merging to main

⚠️ **Hold up!** Before you merge that pull request, make sure to follow this checklist!

## Any branch to `develop`

If you wish to merge your branch to the `develop` branch, make sure to follow this checklist:

- [ ] Run `elm-format` to ensure the correct formatting of the Elm files.
- [ ] Use `elm-doc-preview` to verify whether the documentation is up to standards.
- [ ] Run `elm-test` to verify that all tests run successfully.

## The `develop` branch to `main`

The `develop` branch is the only branch that's allowed to merge to `main`. Once the branch merges to `main`, that indicates a new release on the Elm registry.

Before that is being done, however, the following tasks should be done:

- [ ] Run `elm-format` to ensure the correct formatting of the Elm files.
- [ ] Use `elm-doc-preview` to verify whether the documentation is up to standards.
- [ ] Run `elm-test --fuzz 1000` to verify that all tests run successfully.
- [ ] Remove exposed modules from `elm.json` that do not need to be exposed modules in the release.
- [ ] Run `elm bump` to update the library's version number
- [ ] Update the version name in the [default values config file](../src/Internal/Config/Default.elm).

## Any branch to any other branch

There are no limitations to merging other branches towards one another, although it is important to keep in mind that:

- Contributors are advised to merge the `develop` branch into their branches regularly to avoid any merge conflicts.
- Merging with branches that haven't been accepted (yet) might result in your branch ending up with code that will not be accepted.
